<?php

namespace Mehrab\Service\Policies;

use Illuminate\Auth\Access\HandlesAuthorization;
use Mehrab\RolePermission\Models\Permission;
use Mehrab\User\Models\User;

class ServicePolicy
{
    use HandlesAuthorization;

    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function manage(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }

    public function create(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }

    public function edit(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }

    public function status(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }

    public function region(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }

    public function description(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }

    public function question(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }

    public function price(User $user){
        return $user->hasPermissionTo(Permission::PERMISSION_MANAGE_SERVICE);
    }
}
